<?php


function navigation_submenu()
{

    wp_enqueue_script(
        'submenu-extender',
        get_template_directory_uri() . '/extensions/submenu-extender/submenu-extender.js',
        array(
            'wp-blocks',
            'wp-edit-site',
            'wp-api',
        ),
        true);
    wp_enqueue_style('submenu-extender-style', get_template_directory_uri() . '/extensions/submenu-extender/submenu-extender.css');
//            'wp-blocks',
//            'wp-editor',
//            'wp-api',
//            'jquery-ui-sortable',
//            'wp-plugins',
//            'wp-edit-site'



}
add_action( 'enqueue_block_editor_assets', 'navigation_submenu', 0 );
add_action( 'wp_enqueue_scripts', 'navigation_submenu' );
          register_block_style(
			'core/navigation-submenu',
			array(
				'name'  => 'full',
				'label' => __( 'Full', 'casino' ),
                'is_default'   => false,
                "style" => "submenu-extender-style",
                "script" => "submenu-extender", //i back i front
                "editor_script" => "submenu-extender",
                "editor_style" => "submenu-extender-style",
			)
		);